import es, gamethread, playerlib, cfglib, time

info = es.AddonInfo()
info.version = "1.1"
info.author = "DreTaX"
info.name = "dretaxnoblock"
info.url = "http://addons.eventscripts.com/addons/user/56071"
info.date = "2012.08.17"

config = cfglib.AddonCFG(es.getAddonPath("dretaxnoblock") + "/noblock.cfg")
config.text("NoBlock Settings")
 
dretaxnoblock_enable     = config.cvar("dretaxnoblock_enable",     1, "Enable/disable Noblock")
dretaxnoblock_zombiesupport     = config.cvar("dretaxnoblock_zombiesupport",     0, "Enable/disable Noblock only for Humans support")
config.write()
 
es.ServerVar('DreTaXs Noblock', info.version, '1.0').makepublic()

def load():
	es.msg("[DreTaX's Noblock Loaded]")
	es.mexec("../addons/eventscripts/dretaxnoblock/noblock.cfg")
	
def unload():
	es.msg("[DreTaX's Noblock UnLoaded]")
	
def es_map_start(E):
	es.mexec("../addons/eventscripts/dretaxnoblock/noblock.cfg")

def player_spawn(E):               	
	if dretaxnoblock_enable:
		es.setplayerprop(userid, "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup", 2)
	if dretaxnoblock_zombiesupport:		
            if es.getplayerteam(userid) == 2:
                es_setplayerprop(userid, "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup", 0)
            if es.getplayerteam(userid) == 3:
                es.setplayerprop(userid, "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup", 2)